#
# spec file for package python3-msgpack-python
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-msgpack-python
Version:        0.4.6
Release:        3.2
Summary:        MessagePack (de)serializer
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            http://msgpack.org/
Source:         https://pypi.python.org/packages/source/m/msgpack-python/msgpack-python-%{version}.tar.gz
BuildRequires:  gcc-c++
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
# Test requirements:
BuildRequires:  python3-nose
BuildRequires:  python3-pytest
BuildRequires:  python3-six
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
MessagePack (de)serializer for Python.

What's MessagePack? (from http://msgpack.org/)

 MessagePack is a binary-based efficient data interchange format that is
 focused on high performance. It is like JSON, but very fast and small.

%prep
%setup -q -n msgpack-python-%{version}

%build
CFLAGS="%{optflags}" python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
nosetests

%files
%defattr(-,root,root,-)
%doc COPYING README.rst
%{python3_sitearch}/*

%changelog
* Sat Mar 14 2015 arun@gmx.de
- update to version 0.4.6:
  * fallback.Unpacker: Fix Data corruption when OutOfData. This bug
    only affects "Streaming unpacking."
* Sun Jan 25 2015 arun@gmx.de
- update to version 0.4.5:
  * Fix test failure on pytest 2.3. (by @ktdreyer)
  * Fix typos in ChangeLog. (Thanks to @dmick)
  * Improve README.rst (by @msabramo)
* Sat Jan 10 2015 arun@gmx.de
- specfile: update copyright year
- update to version 0.4.4:
  * Fix compile error.
- changes from version 0.4.3:
  * Unpacker may unpack wrong uint32 value on 32bit or LLP64
    environment. (#101)
  * Build failed on Windows Python 2.7.
* Tue Nov 18 2014 toddrme2178@gmail.com
- Update to 0.4.2
  Bugfixes
  - Unpacker doesn't increment refcount of ExtType hook.
  - Packer raises no exception for inputs doesn't fit to msgpack format.
- Update to 0.4.1
  Changes
  - fallback.Unpacker.feed() supports bytearray.
  Bugs fixed
  - Unpacker doesn't increment refcount of hooks. Hooks may be GCed while unpacking.
  - Unpacker may read unfilled internal buffer.
- Update to version 0.4.0
  + Raises TypeError instead of ValueError when packer receives
    unsupported type.
  + Support New msgpack spec.
- Use download Url as source
- Adapt current python 2.x spec file
* Thu May  2 2013 speilicke@suse.com
- Package COPYING and README.rst
- Run testsuite
* Mon Feb 18 2013 alexandre@exatati.com.br
- Update to 0.3.0:
  Incompatible Changes
  - Default value of use_list is True for now. (It was False for
    0.2.x) You should pass it explicitly for compatibility to 0.2.x.
  Changes
  - Pure Python fallback module is added. (thanks to bwesterb)
  - Add .skip() method to Unpacker (thanks to jnothman)
  - Add capturing feature. You can pass the writable object to
    Unpacker.unpack() as a second parameter.
  - Add Packer.pack_array_header and Packer.pack_map_header. These
    methods only pack header of each type.
  - Add autoreset option to Packer (default: True). Packer doesn't
    return packed bytes and clear internal buffer.
  - Add Packer.pack_map_pairs. It packs sequence of pair to map type.
* Mon Jan 14 2013 saschpe@suse.de
- Don't require "python(abi)", RPM does that automatically
* Fri Jan 11 2013 p.drouand@gmail.com
- Initial python3 support
